org.apache.ignite.internal.processors.cache.version

## Class GridCacheVersionEx

- java.lang.Object
- - org.apache.ignite.plugin.extensions.communication.MessageAdapter
  - - org.apache.ignite.internal.processors.cache.version.GridCacheVersion
    - - org.apache.ignite.internal.processors.cache.version.GridCacheVersionEx

All Implemented Interfaces:
  Externalizable, Serializable, Comparable<GridCacheVersion>, OptimizedMarshallable

    public class GridCacheVersionEx
    extends GridCacheVersion

Extended cache version which also has additional DR version.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.plugin.extensions.communication.MessageAdapter

`MessageAdapter.Type`

### Field Summary

### Fields inherited from class org.apache.ignite.plugin.extensions.communication.MessageAdapter

`reader, readState`

### Fields inherited from interface org.apache.ignite.marshaller.optimized.OptimizedMarshallable

`CLS_ID_FIELD_NAME`

### Constructor Summary

Constructors
Constructor and Description
`GridCacheVersionEx()` `Externalizable` support.
`GridCacheVersionEx(int topVer, int nodeOrderDrId, long globalTime, long order, GridCacheVersion drVer)` Constructor.
`GridCacheVersionEx(int topVer, long globalTime, long order, int nodeOrder, byte dataCenterId, GridCacheVersion drVer)` Constructor.

### Method Summary

Methods
`GridCacheVersion` `drVersion()`
`Object` `ggClassId()` Implementation of this method should simply return value of `GG_CLASS_ID` field.
`void` `readExternal(ObjectInput in)`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class org.apache.ignite.internal.processors.cache.version.GridCacheVersion

`asGridUuid, compareTo, dataCenterId, directType, equals, globalTime, hashCode, isGreater, isGreaterEqual, isLess, isLessEqual, nodeOrder, nodeOrderAndDrIdRaw, order, readFrom, topologyVersion, toString, writeTo`

### Methods inherited from class org.apache.ignite.plugin.extensions.communication.MessageAdapter

`setReader, skipRecovery`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheVersionEx

    public GridCacheVersionEx()

`Externalizable` support.

#### GridCacheVersionEx

    public GridCacheVersionEx(int topVer,
                      long globalTime,
                      long order,
                      int nodeOrder,
                      byte dataCenterId,
                      GridCacheVersion drVer)

Constructor.

Parameters:
  `topVer` - Topology version.
  `globalTime` - Global time.
  `order` - Order.
  `nodeOrder` - Node order.
  `dataCenterId` - Data center ID.
  `drVer` - DR version.

#### GridCacheVersionEx

    public GridCacheVersionEx(int topVer,
                      int nodeOrderDrId,
                      long globalTime,
                      long order,
                      GridCacheVersion drVer)

Constructor.

Parameters:
  `topVer` - Topology version.
  `nodeOrderDrId` - Node order and DR ID.
  `globalTime` - Globally adjusted time.
  `order` - Version order.
  `drVer` - DR version.

### Method Detail

#### drVersion

    public GridCacheVersion drVersion()

Overrides:
  `drVersion` in class `GridCacheVersion`
Returns:
  DR version.

#### ggClassId

    public Object ggClassId()

Implementation of this method should simply return value of `GG_CLASS_ID` field.

Specified by:
  `ggClassId` in interface `OptimizedMarshallable`
Overrides:
  `ggClassId` in class `GridCacheVersion`
Returns:
  Class ID for optimized marshalling.

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

Specified by:
  `readExternal` in interface `Externalizable`
Overrides:
  `readExternal` in class `GridCacheVersion`
Throws:
  `IOException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Overrides:
  `writeExternal` in class `GridCacheVersion`
Throws:
  `IOException`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015